Subject: bug#73363: 30.0.91; CJK Font Rendering Behavior Changed

From: Eli Zaretskii <[email-masked]>
Date: Fri, 20 Sep 2024 18:41:56 +0300

> From: Po Lu <[email-masked]>
> Cc: Robert Pluim <[email-masked]>,  [email-masked],
>   [email-masked]
> Date: Fri, 20 Sep 2024 22:24:34 +0800
> 
> > More generally, what were the examples where you saw problems in
> > accepting registries different from the requested one?  Also, if those
> > problems are specific to certain platforms, how about making this test
> > only on those platforms?  Font selection machinery in Emacs is
> > delicate enough to try to "do no harm" first and foremost.
> 
> I tested my original reproducer, and it appears that the problem has
> resolved of itself, probably because the performance of the sfnt font
> driver has since improved.  Therefore I will disable this change
> elsewhere than Android on the release branch, and remove it entirely on
> master.

Thanks, but why leave it enabled on systems other than Android on
master?  I'd say let's wait until we have some bug reports that could
be solved by enabling this logic.